Vai al contenuto
scango.ch
Italiano
Esc
navigaapri⌘Janteprima

Crea prodotto

Crea un prodotto. Richiede una chiave Write.

POST/products
Autorizzazione
AutorizzazioneToken Bearer (API key) · headerobbligatorio
Chiave API dell'organizzazione.
Corpo della richiesta
obbligatorioapplication/json
namestringobbligatorio
pricenumberobbligatorio
Prezzo in centesimi
taxCategorystringobbligatorio
Consentiti:8.12.63.80
supplierstring
categorystring
declarationsstring
barcodestring
Normalizzato in minuscolo; se vuoto diventa l'id del documento
barcodeAliasesobject[]
Optional additional EANs. Omit when unused. Available when the barcode aliases feature is enabled for the organization.
Mostra proprietà
Array of object
codestringobbligatorio
quantitynumber
priceinteger
Optional pack price in cents
labelstring
externalIdstring
Optional external article ID
externalIdstring
depositProductnumber
Cauzione in centesimi
depositProductLabelstring
descriptionstring
salePricenumber
salePercentagenumber
salePriceDateFromstring<date-time>
salePriceDateTostring<date-time>
costPricenumber
marginnumber
showOnScreenboolean
ageRestrictionboolean
showOnScaleboolean
saleStopboolean
deactivatedboolean
imageUrlstring
Image URL. Empty string clears the field and deletes the stored asset when it belongs to this organization (same as DELETE /products/{productId}/image).
indexnumber
Risposte
200Prodotto creato
successbooleanobbligatorio
idstringobbligatorio
400Richiesta non valida
statusCodeintegerobbligatorio
Codice di stato HTTP
messagestringobbligatorio
Messaggio di errore leggibile
timestampstring<date-time>obbligatorio
pathstringobbligatorio
Percorso della richiesta
403Non autorizzato
statusCodeintegerobbligatorio
Codice di stato HTTP
messagestringobbligatorio
Messaggio di errore leggibile
timestampstring<date-time>obbligatorio
pathstringobbligatorio
Percorso della richiesta
Richiesta
curl -X POST "https://dashboard.scango.ch/api/v1/products" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "price": 0,
  "taxCategory": "8.1",
  "supplier": "string",
  "category": "string",
  "declarations": "string",
  "barcode": "string",
  "barcodeAliases": [
    {
      "code": "string",
      "quantity": 0,
      "price": 0,
      "label": "string",
      "externalId": "string"
    }
  ],
  "externalId": "string",
  "depositProduct": 0,
  "depositProductLabel": "string",
  "description": "string",
  "salePrice": 0,
  "salePercentage": 0,
  "salePriceDateFrom": "2019-08-24T14:15:22Z",
  "salePriceDateTo": "2019-08-24T14:15:22Z",
  "costPrice": 0,
  "margin": 0,
  "showOnScreen": true,
  "ageRestriction": true,
  "showOnScale": true,
  "saleStop": true,
  "deactivated": true,
  "imageUrl": "string",
  "index": 0
}'
Risposta
{
  "success": true,
  "id": "string"
}